#include "duemila48box.h"

void Duemila48box::aggiorna_tabellone()
{
    for (int i = 0; i < 4; i++)
        for (int j = 0; j < 4; j++)
            if (game.get(i,j) != 0)
            {
                char temp[10];
                sprintf(temp,"%d",game.get(i,j));
                tile[i][j]->copy_label(temp);
                tile[i][j]->color(colori[game.get(i,j)]);
            }
            else
            {
                tile[i][j]->copy_label("");
                tile[i][j]->color(fl_rgb_color(205, 193, 181));
            }
}

int Duemila48box::handle(int e)
{
    int ret = Fl_Group::handle(e);  // assume the buttons won't handle the keyboard events
    switch(e) {
        case FL_FOCUS:
        case FL_UNFOCUS:
            ret = 1;                // enables receiving keyboard events
            break;
        case FL_KEYDOWN:            // keyboard key pushed
        {
            if (Fl::event_key() == FL_Left) game.esegui(4);
            else if (Fl::event_key() == FL_Up) game.esegui(1);
            else if (Fl::event_key() == FL_Down) game.esegui(3);
            else if (Fl::event_key() == FL_Right) game.esegui(2);
            else return 1;
            if (game.vittoria())
            {
                fl_message("Capperini, hai vinto!");
                exit(0);
            }
            if (game.aggiungi_tessera()==0)
            {
                fl_message("Game over");
                exit(0);
            }
            aggiorna_tabellone();
            ret = 1;
        }
    }
    return(ret);
}
